package com.fuzamei.entity;
/**
 * 
 * @className:Param[接受前端参数的实体类]
 * @author:ylx--->[yanglingxiao2009@163.com]
 * @date:2018年1月24日下午8:57:58
 * @version v1.0
 */
public class Param {
	private Integer userId;				//用户id
	private Integer page;				//页数
	private Integer rowNum;				//单页显示条目数量
	private Integer startPage;			//起始页
	private String roleName;			//角色名
	private String supplierName;		//供应商名称
	private Integer supplierId;			//供应商id
	private Integer plannerId;			//计划员id
	private String boxNo;				//箱号
	private Integer boxQty;				//箱子数量
	private String partNo;				//零件号
	private Integer inboxQty;			//箱中零件数量
	private Integer statusId;			//状态id
	private Integer orderId;			//订单id
	private Integer carrierId;			//承运商id
	private Integer receiverId;			//收货员id
	private String carNo;				//车牌号
	private Integer confirmId;			//收货确认码1表示确认收货，0表示拒绝收货
	private Long startTime;				//起始时间
	private Long endTime;				//结束时间
	private Long requireTime;			//需求时间
	private Long sendTime;				//发货时间
	private Long transportTime;			//承运时间
	private Long tallyTime;				//点货时间
	private Long createTime;			//创建时间
	private Long updateTime;			//更新时间
	private Integer operationTypeId;	//操作类型id
	private Integer operatorId;			//操作人id
	private Long operationTime;			//操作时间
	private UserDetail userDetail;		//用户详细信息对象
	private Orders order;				//整个订单详细信息
	public Integer getBoxQty() {
		return boxQty;
	}
	public void setBoxQty(Integer boxQty) {
		this.boxQty = boxQty;
	}
	public Integer getReceiverId() {
		return receiverId;
	}
	public void setReceiverId(Integer receiverId) {
		this.receiverId = receiverId;
	}
	public Long getTransportTime() {
		return transportTime;
	}
	public void setTransportTime(Long transportTime) {
		this.transportTime = transportTime;
	}
	public Long getTallyTime() {
		return tallyTime;
	}
	public void setTallyTime(Long tallyTime) {
		this.tallyTime = tallyTime;
	}
	public String getRoleName() {
		return roleName;
	}
	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}
	public Long getSendTime() {
		return sendTime;
	}
	public void setSendTime(Long sendTime) {
		this.sendTime = sendTime;
	}
	public Orders getOrder() {
		return order;
	}
	public void setOrder(Orders order) {
		this.order = order;
	}
	public Integer getPlannerId() {
		return plannerId;
	}
	public void setPlannerId(Integer plannerId) {
		this.plannerId = plannerId;
	}
	public Long getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}
	public Integer getOperationTypeId() {
		return operationTypeId;
	}
	public void setOperationTypeId(Integer operationTypeId) {
		this.operationTypeId = operationTypeId;
	}
	public Integer getOperatorId() {
		return operatorId;
	}
	public void setOperatorId(Integer operatorId) {
		this.operatorId = operatorId;
	}
	public Long getOperationTime() {
		return operationTime;
	}
	public void setOperationTime(Long operationTime) {
		this.operationTime = operationTime;
	}
	public Long getRequireTime() {
		return requireTime;
	}
	public void setRequireTime(Long requireTime) {
		this.requireTime = requireTime;
	}
	public Long getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Long updateTime) {
		this.updateTime = updateTime;
	}
	public Integer getSupplierId() {
		return supplierId;
	}
	public void setSupplierId(Integer supplierId) {
		this.supplierId = supplierId;
	}
	public Integer getRowNum() {
		return rowNum;
	}
	public void setRowNum(Integer rowNum) {
		this.rowNum = rowNum;
	}
	public Integer getStartPage() {
		return startPage;
	}
	public void setStartPage(Integer startPage) {
		this.startPage = startPage;
	}
	public UserDetail getUserDetail() {
		return userDetail;
	}
	public void setUserDetail(UserDetail userDetail) {
		this.userDetail = userDetail;
	}
	public Integer getPage() {
		return page;
	}
	public void setPage(Integer page) {
		this.page = page;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public String getSupplierName() {
		return supplierName;
	}
	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}
	public String getBoxNo() {
		return boxNo;
	}
	public void setBoxNo(String boxNo) {
		this.boxNo = boxNo;
	}
	public String getPartNo() {
		return partNo;
	}
	public void setPartNo(String partNo) {
		this.partNo = partNo;
	}
	public Integer getInboxQty() {
		return inboxQty;
	}
	public void setInboxQty(Integer inboxQty) {
		this.inboxQty = inboxQty;
	}
	public Integer getStatusId() {
		return statusId;
	}
	public void setStatusId(Integer statusId) {
		this.statusId = statusId;
	}
	public Integer getOrderId() {
		return orderId;
	}
	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}
	public Integer getCarrierId() {
		return carrierId;
	}
	public void setCarrierId(Integer carrierId) {
		this.carrierId = carrierId;
	}
	public String getCarNo() {
		return carNo;
	}
	public void setCarNo(String carNo) {
		this.carNo = carNo;
	}
	public Integer getConfirmId() {
		return confirmId;
	}
	public void setConfirmId(Integer confirmId) {
		this.confirmId = confirmId;
	}
	public Long getStartTime() {
		return startTime;
	}
	public void setStartTime(Long startTime) {
		this.startTime = startTime;
	}
	public Long getEndTime() {
		return endTime;
	}
	public void setEndTime(Long endTime) {
		this.endTime = endTime;
	}
	@Override
	public String toString() {
		return "Param [userId=" + userId + ", page=" + page + ", rowNum=" + rowNum + ", startPage=" + startPage
				+ ", roleName=" + roleName + ", supplierName=" + supplierName + ", supplierId=" + supplierId
				+ ", plannerId=" + plannerId + ", boxNo=" + boxNo + ", partNo=" + partNo + ", inboxQty=" + inboxQty
				+ ", statusId=" + statusId + ", orderId=" + orderId + ", carrierId=" + carrierId + ", carNo=" + carNo
				+ ", confirmId=" + confirmId + ", startTime=" + startTime + ", endTime=" + endTime + ", requireTime="
				+ requireTime + ", sendTime=" + sendTime + ", transportTime=" + transportTime + ", tallyTime="
				+ tallyTime + ", createTime=" + createTime + ", updateTime=" + updateTime + ", operationTypeId="
				+ operationTypeId + ", operatorId=" + operatorId + ", operationTime=" + operationTime + ", userDetail="
				+ userDetail + ", order=" + order + "]";
	}
	
	
	
}
